Package ru.bitel.bgbilling.modules.hd.common.bean

# Class ZoneWhois

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdContractId
ru.bitel.bgbilling.modules.hd.common.bean.ZoneWhois

All Implemented Interfaces:
  `Serializable`, `ContractIdable`, `Idable`

public class ZoneWhois extends IdContractId

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ZoneWhois()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getContractTitle()`
  `Date`
  `getFreeDate()`
  `Period`
  `getPeriod()`
  `String`
  `getRegistrar()`
  `Date`
  `getWhoisLastUpdate()`
  `String`
  `getZone()`
  `boolean`
  `isLoadWhois()`
  `ZoneWhois`
  `setContractId(int contractId)`
  `void`
  `setContractTitle(String contractTitle)`
  `void`
  `setFreeDate(Date freeDate)`
  `void`
  `setLoadWhois(boolean loadWhois)`
  `void`
  `setPeriod(Period period)`
  `void`
  `setRegistrar(String registrar)`
  `void`
  `setWhoisLastUpdate(Date whoisLastUpdate)`
  `void`
  `setZone(String zone)`

  ### Methods inherited from class ru.bitel.common.model.IdContractId

  `getContractId`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ZoneWhois

    public ZoneWhois()

- ## Method Details

  - ### setContractId

    public ZoneWhois setContractId(int contractId)
    Overrides:
      `setContractId` in class `IdContractId`

  - ### getContractTitle

    public String getContractTitle()

  - ### setContractTitle

    public void setContractTitle(String contractTitle)

  - ### getZone

    public String getZone()

  - ### setZone

    public void setZone(String zone)

  - ### getPeriod

    public Period getPeriod()

  - ### setPeriod

    public void setPeriod(Period period)

  - ### isLoadWhois

    public boolean isLoadWhois()

  - ### setLoadWhois

    public void setLoadWhois(boolean loadWhois)

  - ### getWhoisLastUpdate

    public Date getWhoisLastUpdate()

  - ### setWhoisLastUpdate

    public void setWhoisLastUpdate(Date whoisLastUpdate)

  - ### getFreeDate

    public Date getFreeDate()

  - ### setFreeDate

    public void setFreeDate(Date freeDate)

  - ### getRegistrar

    public String getRegistrar()

  - ### setRegistrar

    public void setRegistrar(String registrar)